function label=weighted_zeros(X,label,weights)    
%zeros (max weight)
idx=1:size(X,1);
idx=idx(sum(label==1)==0);
%fprintf('zero-svm: %d\n',length(idx));
for i=idx
    %[~,k]=max(weights(:,i));
    [~,idx]=sort(weights(:,i),'descend');
    label(idx(1:6),i)=1;
    %label(k,i)=1;
end